
D4Science Infrastructure - Incident #9008

algorithmsBot/runAlgorithmsBot.sh going berserk

Jun 23, 2017 10:42 AM - Andrea Dell'Amico

Status: Closed Start date: Jun 23, 2017

Priority: Immediate Due date:  

Assignee: Roberto Cirillo % Done: 100%

Category: Data Management Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Development, Production   

Description

The algorithmsBot/runAlgorithmsBot.sh script generated hundreds of thousands exceptions in the workspace app. The exceptions

are all the same:

22.06.2017 19:22:25.069 [ajp-bio-8009-exec-24] ERROR  org.gcube.common.homelibrary.jcr.repository.

JCRRepository - Error retrieving Root Node null

22.06.2017 19:22:25.070 [ajp-bio-8009-exec-24] ERROR  org.apache.jackrabbit.j2ee.workspacemanager.

servlets.rest.Delete - Error deleting item: /Home/statistical.manager/Workspace/DataMinerAlgorithm

s/parallelized_STEP1_VPA_ICCAT_BF

T_E_Retros.jar

org.gcube.common.homelibrary.home.exceptions.InternalErrorException: org.gcube.common.homelibrary.

home.exceptions.InternalErrorException: org.gcube.common.homelibrary.model.exceptions.RepositoryEx

ception

        at org.gcube.common.homelibrary.jcr.JCRHomeManager.getHome(JCRHomeManager.java:118) ~[home

-library-jcr-2.9.0-4.5.0-149341.jar:na]

        at org.gcube.common.homelibrary.jcr.JCRHomeManager.getHome(JCRHomeManager.java:148) ~[home

-library-jcr-2.9.0-4.5.0-149341.jar:na]

 The script should be fixed ASAP.

History

#1 - Jun 23, 2017 12:35 PM - Gianpaolo Coro

Hi Andrea, the bot is "mine". It helps us to produce SAI installation strings. Indeed it does something very simple: a cron on the machine executes it

and it asks the messaging service if there are new messages. It does not connect to the Workspace. I guess the messaging system uses the WS

instead. One solution is to decrease the frequency of the cron.

#2 - Jun 23, 2017 12:37 PM - Gianpaolo Coro

- Assignee changed from Nunzio Andrea Galante to Andrea Dell'Amico

#3 - Jun 23, 2017 01:15 PM - Andrea Dell'Amico

- Assignee changed from Andrea Dell'Amico to Roberto Cirillo

The problem seems really caused by that algorithm execution, actually (parallelized_STEP1_VPA_ICCAT_BF, or the one that tries to write that file)

#4 - Jun 26, 2017 11:14 AM - Roberto Cirillo

- Status changed from New to Closed

The problem was due to a missing resource on gCubeApps scope (DataAccess-HomeLibraryWebapp). For this reason it was not possible to contact

the HL webapp via REST in gCubeApps scope and, consequently, there was a failing request of algorithm publication by SAI.

The bot couldn't serve the publication request by SAI, it was gone in looping on this request, causing a lot of exceptions on HomeLibrary webapp

side.

The gCoreEndpoint resource has been added to gCubeApps and the problem is solved.

Powered by TCPDF (www.tcpdf.org)

Aug 06, 2025 1/1

http://www.tcpdf.org

